/* generated javascript */
var skin = 'monobook';
var stylepath = '../../../skins';

/* MediaWiki:Common.js */
/* 
See also:
{|
|-
| [[МедиаУики:Common.js]] ||
|-
| [[МедиаУики:Chick.js]] ||[[Special:Mypage/chick.js]]
|-
| [[МедиаУики:Standard.js]] ||[[Special:Mypage/standard.js]]
|-
| [[МедиаУики:Cologneblue.js]] ||[[Special:Mypage/cologneblue.js]]
|-
| [[МедиаУики:Monobook.js]] ||[[Special:Mypage/monobook.js]]
|-
| [[МедиаУики:Myskin.js]] ||[[Special:Mypage/myskin.js]]
|-
| [[МедиаУики:Nostalgia.js]] ||[[Special:Mypage/nostalgia.js]]
|-
| [[МедиаУики:Simple.js]] ||[[Special:Mypage/simple.js]]
|}

* [[МедиаУики:Iefixesplus.js]]
* [[МедиаУики:Mainpage.js]]
* [[МедиаУики:Imagespace.js]]
* [[МедиаУики:Search.js]]
* [[МедиаУики:Uploadplus.js]]
* [[МедиаУики:Unwatch.js]]
* [[МедиаУики:Onlyifediting.js]]
* [[МедиаУики:Wikificator.js]]
* [[МедиаУики:Translit.js]]
* [[МедиаУики:Edittools.js]]

== JSconfig ==
<source lang="javascript">*/
/** JSconfig  ************
 * Global configuration options to enable and disable specific
 * script features from [[MediaWiki:Common.js]]
 * Override these default settings in your [[Special:Mypage/monobook.js]]
 * for Example: JSconfig.loadAutoInformationTemplate = false;
 *
 *  Maintainer: [[User:Dschwen]]
 */

var JSconfig =
{
 loadAutoInformationTemplate : true,
 loadWikificator : true,
 loadAutoCommentWikify : true,
 loadTranslitScript : true,
 loadEditToolsStyleCompact : true
};

/*</source>

== Workaround for language variants ==
<source lang="javascript">*/
var languagevariant;
var direction; 
switch(wgUserLanguage){
    case "kk": 
         languagevariant = "kk";
         direction = "ltr";
         break;
    case "kk-kz": 
         languagevariant = "kk-Cyrl";
         direction = "ltr";
         break;
    case "kk-tr": 
         languagevariant = "kk-Latn";
         direction = "ltr";
         break;
    case "kk-cn": 
         // workaround for RTL ([[bugzilla:6756]])  and for [[bugzilla:02020]] & [[bugzilla:04295]]
         languagevariant = "kk-Arab";
         direction = "rtl";

         document.getElementsByTagName("body").className = "rtl";
         document.write('<link rel="stylesheet" type="text/css" href="'+stylepath+'/common/common_rtl.css">');
         document.write('<style type="text/css">div#shared-image-desc {direction: ltr;} input#wpUploadFile, input#wpDestFile, input#wpLicense {float: right;} .editsection {float: left !important;} .infobox {float: left !important; clear:left; } div.floatleft, table.floatleft {float:right !important; margin-left:0.5em !important; margin-right:0 !important; } div.floatright, table.floatright {clear:left; float:left !important; margin-left:0 !important; margin-right:0.5em !important;}</style>');

         if (skin == "monobook"){
             document.write('<link rel="stylesheet" type="text/css" href="'+stylepath+'/common/quickbar-right.css">');
             document.write('<link rel="stylesheet" type="text/css" href="'+stylepath+'/monobook/rtl.css">');
             document.write('<style type="text/css">body{font-size: 75%; letter-spacing: 0.001em;} h3{font-size:110%;} h4 {font-size:100%;} h5{font-size:90%;} html > body div#content ol{clear: left;} ol{margin-left:2.4em; margin-right:2.4em;} ul{margin-left:1.5em; margin-right:1.5em;} .editsection{margin-right:5px; margin-left:0;}  #column-one{padding-top:0; margin-top:0;} #p-navigation{padding-top:0; margin-top:160px;} #catlinks{width:100%;} #userloginForm{float: right !important;} .pBody{-moz-border-radius-topleft: 0.5em; -moz-border-radius-topright: 0em !important;} .portlet h5{clear:right;}</style>');
         }
         break;
     default: 
         languagevariant = "kk";
         direction = "ltr";
}

// Set user language attributes for the whole document
var htmlE=document.documentElement;
htmlE.setAttribute("lang",languagevariant);
htmlE.setAttribute("xml:lang",languagevariant);
htmlE.setAttribute("dir",direction); 

// Switch language variants of messages
function wgULS(kz,tr,cn,en){
    if (!en) { en = ""; }

    kk=kz||tr||cn;
    kz=kz;
    tr=tr;
    cn=cn;
    switch(wgUserLanguage){
        case "kk": return kk;
        case "kk-kz": return kz;
        case "kk-tr": return tr;
        case "kk-cn": return cn;
        default: return en;
    }
}

// END Workaround for language variants 
/*</source>

== Execute function on page load ==
<source lang="javascript">*/
/* Execute function on page load *********************************************
 *
 *  Description: Wrapper around addOnloadHook() for backwards compatibility.
 *               Will be removed in the near future.
 *  Maintainers: en:User:R. Koot
 */

function addLoadEvent( f ) { addOnloadHook( f ); }

// END Execute function on page load 
/*</source>

== hasClass ==
<source lang="javascript">*/
 /* Test if an element has a certain class **************************************
  *
  * Description: Uses regular expressions and caching for better performance.
  * Maintainers: [[User:Mike Dillon]], [[User:R. Koot]], [[User:SG]]
  */
 
 var hasClass = (function () {
     var reCache = {};
     return function (element, className) {
         return (reCache[className] ? reCache[className] : (reCache[className] = new RegExp("(?:\\s|^)" + className + "(?:\\s|$)"))).test(element.className);
     };
 })();

// END hasClass
/*</source>

== Import module ==
<source lang="javascript">*/
 /** Import module *************************************************************
  *
  *  Description: Includes a raw wiki page as javascript or CSS, 
  *               used for including user made modules.
  *  Maintainers: [[User:AzaToth]]
  */
  function importScript( page, langJS ) {
     if (!langJS){ langJS="kk"; }
     var url = wgScriptPath + '/index.php?title='
                            + encodeURIComponent( page.replace(' ', '_') )
                            + '&action=raw&ctype=text/javascript&dontcountme=s';
     if (langJS) url = 'http://' + langJS + '.wikipedia.org' + url;
     var scriptElem = document.createElement( 'script' );
     scriptElem.src = url;
     scriptElem.type = 'text/javascript';
     document.getElementsByTagName( 'head' )[0].appendChild( scriptElem );
 }

 function importStylesheet( page, langCSS ) {
     if (!langCSS){ langCSS="kk"; }
     var sheet = '@import "'
               + wgScriptPath
               + '/index.php?title='
               + encodeURIComponent( page.replace( ' ', '_' ) )
               + '&action=raw&ctype=text/css";'
     if (langCSS) sheet = 'http://' + langCSS + '.wikipedia.org' + sheet;
     var styleElem = document.createElement( 'style' );
     styleElem.type = 'text/css';
     styleElem.appendChild( document.createTextNode( sheet ) );
     document.getElementsByTagName( 'head' )[0].appendChild( styleElem );
 }
// END Import module
/*</source>

== "Technical restrictions" title fix ==
<source lang="javascript">*/
/** "Technical restrictions" title fix *****************************************
 *
 *  Description:
 *  Maintainers: en:User:Interiot, en:User:Mets501
 */

// For pages that have something like Template:Lowercase, replace the title, but only if it is cut-and-pasteable as a valid wikilink.
//      (for instance iPod's title is updated.  But [[C#]] is not an equivalent wikilink, so [[C Sharp]] doesn't have its main title changed)
//
// The function looks for a banner like this: 
 // <div id="RealTitleBanner">    <!-- div that gets hidden -->
 //   <span id="RealTitle">title</span>
 // </div>
 // An element with id=DisableRealTitle disables the function.
var disableRealTitle = 0;               // users can disable this by making this true from their monobook.js
if (wgIsArticle) {                      // don't display the RealTitle when editing, since it is apparently inconsistent (doesn't show when editing sections, doesn't show when not previewing)
    addOnloadHook(function() {
        try {
                var realTitleBanner = document.getElementById("RealTitleBanner");
                if (realTitleBanner && !document.getElementById("DisableRealTitle") && !disableRealTitle) {
                        var realTitle = document.getElementById("RealTitle");
                        if (realTitle) {
                                var realTitleHTML = realTitle.innerHTML;
                                realTitleText = pickUpText(realTitle);

                                var isPasteable = 0;
                                //var containsHTML = /</.test(realTitleHTML);        // contains ANY HTML
                                var containsTooMuchHTML = /</.test( realTitleHTML.replace(/<\/?(sub|sup|small|big)>/gi, "") ); // contains HTML that will be ignored when cut-n-pasted as a wikilink
                                // calculate whether the title is pasteable
                                var verifyTitle = realTitleText.replace(/^ +/, "");             // trim left spaces
                                verifyTitle = verifyTitle.charAt(0).toUpperCase() + verifyTitle.substring(1, verifyTitle.length);       // uppercase first character

                                // if the namespace prefix is there, remove it on our verification copy.  If it isn't there, add it to the original realValue copy.
                                if (wgNamespaceNumber != 0) {
                                        if (wgCanonicalNamespace == verifyTitle.substr(0, wgCanonicalNamespace.length).replace(/ /g, "_") && verifyTitle.charAt(wgCanonicalNamespace.length) == ":") {
                                                verifyTitle = verifyTitle.substr(wgCanonicalNamespace.length + 1);
                                        } else {
                                                realTitleText = wgCanonicalNamespace.replace(/_/g, " ") + ":" + realTitleText;
                                                realTitleHTML = wgCanonicalNamespace.replace(/_/g, " ") + ":" + realTitleHTML;
                                        }
                                }

                                // verify whether wgTitle matches
                                verifyTitle = verifyTitle.replace(/^ +/, "").replace(/ +$/, "");                // trim left and right spaces
                                verifyTitle = verifyTitle.replace(/_/g, " ");           // underscores to spaces
                                verifyTitle = verifyTitle.charAt(0).toUpperCase() + verifyTitle.substring(1, verifyTitle.length);       // uppercase first character
                                isPasteable = (verifyTitle == wgTitle);

                                var h1 = document.getElementsByTagName("h1")[0];
                                if (h1 && isPasteable) {
                                        h1.innerHTML = containsTooMuchHTML ? realTitleText : realTitleHTML;
                                        if (!containsTooMuchHTML)
                                                realTitleBanner.style.display = "none";
                                }
                                document.title = realTitleText + wgULS(" - Уикипедия, Қазақша Ашық Энциклопедия"," - Wïkïpedïya, Qazaqşa Aşıq Éncïklopedïya"," - ۋيكيپەدييا, قازاقشا اشىق ەنتسيكلوپەدييا");
                        }
                }
        } catch (e) {
                /* Something went wrong. */
        }
    });
}


// similar to innerHTML, but only returns the text portions of the insides, excludes HTML
function pickUpText(aParentElement) {
  var str = "";

  function pickUpTextInternal(aElement) {
    var child = aElement.firstChild;
    while (child) {
      if (child.nodeType == 1)          // ELEMENT_NODE 
        pickUpTextInternal(child);
      else if (child.nodeType == 3)     // TEXT_NODE
        str += child.nodeValue;

      child = child.nextSibling;
    }
  }

  pickUpTextInternal(aParentElement);

  return str;
}

// END "Technical restrictions" title fix
/*</source>

== Numeric sorting ==
<source lang="javascript">*/
 /** Numeric sorting ***************************************************
  *
  *  Description: Fixes a bug (part of [[bugzilla:8115]])
  *  in http://svn.wikimedia.org/viewvc/mediawiki/trunk/phase3/skins/common/wikibits.js
  *  regarding [[Help:Sorting|table sorting]]:
  *  it allows sorting of numbers with more than one comma (thousands separator).
  *  Maintainer: [[User:Patrick|Patrick]]
  */
//Overrides the function with the same name in http://svn.wikimedia.org/viewvc/mediawiki/trunk/phase3/skins/common/wikibits.js
//Fixes a bug: for the sorting order, takes the whole number, not the number before the second comma. 
function ts_parseFloat(num) {
	if (!num) return 0;
     num = removeSpaces(num);
	num = parseFloat(num.replace(/,/g, ""));
	return (isNaN(num) ? 0 : num);
}
/*</source>

== Collapsible tables ==
<source lang="javascript">*/
 /** Collapsible tables *********************************************************
  *
  *  Description: Allows tables to be collapsed, showing only the header. See
  *               [[Wikipedia:NavFrame]].
  *  Maintainers: [[User:R. Koot]]
  */
 
 var autoCollapse = 2;
 var collapseCaption = wgULS('жасыр  ▼','jasır  ▼','▼   '+'جاسىر','hide');
 var expandCaption   = wgULS('көрсет ►','körset ►','◀ '+'كٴورسەت','show');

 function collapseTable( tableIndex )
 {
     var Button = document.getElementById( "collapseButton" + tableIndex );
     var Table = document.getElementById( "collapsibleTable" + tableIndex );
 
     if ( !Table || !Button ) {
         return false;
     }
 
     var Rows = Table.getElementsByTagName( "tr" ); 
 
     if ( Button.firstChild.data == collapseCaption ) {
         for ( var i = 1; i < Rows.length; i++ ) {
             Rows[i].style.display = "none";
         }
         Button.firstChild.data = expandCaption;
     } else {
         for ( var i = 1; i < Rows.length; i++ ) {
             Rows[i].style.display = Rows[0].style.display;
         }
         Button.firstChild.data = collapseCaption;
     }
 }
 
 function createCollapseButtons()
 {
     var tableIndex = 0;
     var NavigationBoxes = new Object();
     var Tables = document.getElementsByTagName( "table" );
 
     for ( var i = 0; i < Tables.length; i++ ) {
         if ( hasClass( Tables[i], "collapsible" ) ) {
             NavigationBoxes[ tableIndex ] = Tables[i];
             Tables[i].setAttribute( "id", "collapsibleTable" + tableIndex );
 
             var Button     = document.createElement( "span" );
             var ButtonLink = document.createElement( "a" );
             var ButtonText = document.createTextNode( collapseCaption );
 
             Button.style.styleFloat = "right";
             Button.style.cssFloat = "right";
             Button.style.fontWeight = "normal";
             Button.style.textAlign = "right";
             Button.style.width = "6em";
 
             ButtonLink.setAttribute( "id", "collapseButton" + tableIndex );
             ButtonLink.setAttribute( "href", "javascript:collapseTable(" + tableIndex + ");" );
             ButtonLink.appendChild( ButtonText );
 
             Button.appendChild( document.createTextNode( "[" ) );
             Button.appendChild( ButtonLink );
             Button.appendChild( document.createTextNode( "]" ) );
 
             var Header = Tables[i].getElementsByTagName( "tr" )[0].getElementsByTagName( "th" )[0];
             /* only add button and increment count if there is a header row to work with */
             if (Header) {
                 Header.insertBefore( Button, Header.childNodes[0] );
                 tableIndex++;
             }
         }
     }
 
     for ( var i = 0;  i < tableIndex; i++ ) {
         if ( hasClass( NavigationBoxes[i], "collapsed" ) || ( tableIndex >= autoCollapse && hasClass( NavigationBoxes[i], "autocollapse" ) ) ) {
             collapseTable( i );
         }
     }
 }
 
 addOnloadHook( createCollapseButtons );

// END Collapsible tables 
/*</source>

== Dynamic Navigation Bars ==
<source lang="javascript">*/
 /** Dynamic Navigation Bars (experimental) *************************************
  *
  *  Description: See [[Wikipedia:NavFrame]].
  *  Maintainers: UNMAINTAINED
  */
 
  // set up the words in your language
  var NavigationBarHide = '[' + collapseCaption + ']';
  var NavigationBarShow = '[' + expandCaption + ']';
 
  // shows and hides content and picture (if available) of navigation bars
  // Parameters:
  //     indexNavigationBar: the index of navigation bar to be toggled
  function toggleNavigationBar(indexNavigationBar)
  {
     var NavToggle = document.getElementById("NavToggle" + indexNavigationBar);
     var NavFrame = document.getElementById("NavFrame" + indexNavigationBar);
 
     if (!NavFrame || !NavToggle) {
         return false;
     }
 
     // if shown now
     if (NavToggle.firstChild.data == NavigationBarHide) {
         for (
                 var NavChild = NavFrame.firstChild;
                 NavChild != null;
                 NavChild = NavChild.nextSibling
             ) {
             if ( hasClass( NavChild, 'NavPic' ) ) {
                 NavChild.style.display = 'none';
             }
             if ( hasClass( NavChild, 'NavContent') ) {
                 NavChild.style.display = 'none';
             }
         }
     NavToggle.firstChild.data = NavigationBarShow;
 
     // if hidden now
     } else if (NavToggle.firstChild.data == NavigationBarShow) {
         for (
                 var NavChild = NavFrame.firstChild;
                 NavChild != null;
                 NavChild = NavChild.nextSibling
             ) {
             if (hasClass(NavChild, 'NavPic')) {
                 NavChild.style.display = 'block';
             }
             if (hasClass(NavChild, 'NavContent')) {
                 NavChild.style.display = 'block';
             }
         }
     NavToggle.firstChild.data = NavigationBarHide;
     }
  }
 
  // adds show/hide-button to navigation bars
  function createNavigationBarToggleButton()
  {
     var indexNavigationBar = 0;
     // iterate over all < div >-elements 
     var divs = document.getElementsByTagName("div");
     for(
             var i=0; 
             NavFrame = divs[i]; 
             i++
         ) {
         // if found a navigation bar
         if (hasClass(NavFrame, "NavFrame")) {
 
             indexNavigationBar++;
             var NavToggle = document.createElement("a");
             NavToggle.className = 'NavToggle';
             NavToggle.setAttribute('id', 'NavToggle' + indexNavigationBar);
             NavToggle.setAttribute('href', 'javascript:toggleNavigationBar(' + indexNavigationBar + ');');
 
             var NavToggleText = document.createTextNode(NavigationBarHide);
             for (
                  var NavChild = NavFrame.firstChild;
                  NavChild != null;
                  NavChild = NavChild.nextSibling
                 ) {
                 if ( hasClass( NavChild, 'NavPic' ) || hasClass( NavChild, 'NavContent' ) ) {
                     if (NavChild.style.display == 'none') {
                         NavToggleText = document.createTextNode(NavigationBarShow);
                         break;
                     }
                 }
             }
 
             NavToggle.appendChild(NavToggleText);
             // Find the NavHead and attach the toggle link (Must be this complicated because Moz's firstChild handling is borked)
             for(
               var j=0; 
               j < NavFrame.childNodes.length; 
               j++
             ) {
               if (hasClass(NavFrame.childNodes[j], "NavHead")) {
                 NavFrame.childNodes[j].appendChild(NavToggle);
               }
             }
             NavFrame.setAttribute('id', 'NavFrame' + indexNavigationBar);
         }
     }
  }
 
  addOnloadHook( createNavigationBarToggleButton );

// END Dynamic Navigation Bars
/*</source>

== Transforming 'Village Pump' to Discussion pages ==
<source lang="javascript">*/
// BEGIN Transformer les pages du Bistro en page de discussion
function DiscussionBistro() 
{
// Is 'Village Pump'?
  if(document.title.search("Уикипедия:Ауыл құдығы") != -1)
    document.body.className = "ns-1";
}
     
 addOnloadHook(DiscussionBistro);

// END Transforming 'Village Pump' to Discussion pages
/*</source>

== "Star" logo for Featured Articles ==
<source lang="javascript">*/
 /** Interwiki links to featured articles ***************************************
  *
  *  Description: Highlights interwiki links to featured articles (or
  *               equivalents) by changing the bullet before the interwiki link
  *               into a star.
  *  Maintainers: [[en:User:R. Koot]]
  */
 
 function LinkFA() 
 {
     if ( document.getElementById( "p-lang" ) ) {
         var InterwikiLinks = document.getElementById( "p-lang" ).getElementsByTagName( "li" );
 
         for ( var i = 0; i < InterwikiLinks.length; i++ ) {
             if ( document.getElementById( InterwikiLinks[i].className + "-fa" ) ) {
                 InterwikiLinks[i].className += " FA"
                 InterwikiLinks[i].title = wgULS("Бұл басқа тілдегі таңдаулы мақала.","Bul basqa tildegi tañdamalı maqala.","بۇل باسقا تٴىلدەگٴى تاڭدامالى ماقالا.");
             }
             if ( document.getElementById( InterwikiLinks[i].className + "-ga" ) ) {
                 InterwikiLinks[i].className += " GA"
                 InterwikiLinks[i].title = wgULS("Бұл басқа тілдегі асқан мақала.","Bul basqa tildegi asqan maqala.","بۇل باسقا تٴىلدەگٴى اسقان ماقالا.");
             }

         }
     }
 }
 
 addOnloadHook( LinkFA );



// Configuration for "star" logo at the top of Featured Articles 
function StarFA() {
        if (document.getElementById("FA")) {
                // Monobook.css will take over styling from here
                document.body.className += " FA";
                // Iterate over all <h1> elements
                for (var i = 0; a = document.getElementsByTagName("h1")[i]; i++) {
                        // Apply a tooltip to the article title, which includes the little star
                        if (a.className == "firstHeading") {
                                a.title = wgULS( "Таңдаулы мақала","Tañdawlı maqala","تاڭداۋلى ماقالا");
                        }
                }
        }
}

 addOnloadHook(StarFA);

// END Configuration for "star" logo for Featured Articles 
/*</source>

== Import an external JavaScript ==
// Do place on the END of page
<source lang="javascript">*/
var isMSIE = ((navigator.appName == 'Microsoft Internet Explorer' ) > 0);
var isImage = (wgCanonicalNamespace == "Image");
var isNoImage = (wgCanonicalNamespace != "Image");
var isNoSpecial = (wgCanonicalNamespace != "Special");
var isSearch = ((wgCanonicalNamespace == "Special") && (wgCanonicalSpecialPageName == "Search"));
var isUpload = ((wgCanonicalNamespace == "Special") && (wgCanonicalSpecialPageName == "Upload"));
var isWatch = ((wgCanonicalNamespace == "Special") && (wgCanonicalSpecialPageName == "Watchlist"));
var isNoAnon = ((wgUserName != null) && (wgUserGroups != null));
var isEdit = ((document.URL.indexOf("action=edit") > 0 || document.URL.indexOf("action=submit") > 0) && !document.getElementById('ca-viewsource') > 0);

//importScript( "МедиаУики:Wikimediaplayer.js" );

// Add MSIE fixes 
if (isMSIE) {
   importScript( "МедиаУики:Iefixesplus.js" ); // SEE ALSO [[МедиаУики:IEFixesplus.js]]
}

// Add Commons Image page translation (as workaround)
if (wgTitle == 'Басты бет') {
	importScript( "МедиаУики:Mainpage.js" ); // SEE ALSO [[МедиаУики:Mainpage.js]]
}

// Add Commons Image page translation (as workaround)
if (isImage) {
	importScript( "МедиаУики:Imagespace.js" ); // SEE ALSO [[МедиаУики:Imagespace.js]]
}

// Add scripts for Special:Search included simple keyboard
if (isSearch) {
	importScript( "МедиаУики:Search.js" ); // SEE ALSO [[МедиаУики:Searchkeyb.js]]
}

// Add editing stuff (toolbar buttons, template pull-down menu etc) for registered users
if (isEdit && isNoSpecial && isNoAnon) {
   importScript( "МедиаУики:Onlyifediting.js" ); // SEE ALSO [[МедиаУики:Onlyifediting.js]]
}

// Add script for charsets pull-down menu
if (isEdit || isUpload){
   importScript( "МедиаУики:Edittools.js" ); // SEE ALSO [[МедиаУики:Edittools.js]]
}

// Auto fill of Template:Information  
if (isUpload){
   importScript( "МедиаУики:Uploadplus.js" ); // SEE ALSO [[МедиаУики:Upload.js]]
}

// 
if (skin == "myskin"){
   importScript( "МедиаУики:Myskin.js" ); // SEE ALSO [[МедиаУики:Myskin.js]]
}

 /** Geo-targeted watchlist notice *******************************************************
   *
   *  Description: Allows for geographic targeting of watchlist notices. See [[Wikipedia:Geonotice]] for more information.
   *  Created by: [[User:Gmaxwell]]
   */
 
 if (isWatch)
     addOnloadHook((function (){document.write('<script type="text/javascript" src="http://tools.wikimedia.de/~gmaxwell/cgi-bin/geonotice.py"><\/script>')}));

 /** Sysop Javascript *******************************************************
   *
   *  Description: Allows for sysop-specific Javascript at [[MediaWiki:Sysop.js]].
   *  Created by: [[User:^demon]]
   */
 if ( wgUserGroups && !window.disableSysopJS ) {
   for ( var g in wgUserGroups ) {
     if ( wgUserGroups[g] == "sysop" )
       importScript( "MediaWiki:Sysop.js" );
   }
 }

 /** WikiMiniAtlas *******************************************************
   *
   *  Description: WikiMiniAtlas is a popup click and drag world map.
   *               This script causes all of our coordinate links to display the WikiMiniAtlas popup button.
   *               The script itself is located on meta because it is used by many projects.
   *               See [[Meta:WikiMiniAtlas]] for more information. 
   *  Created by: [[User:Dschwen]]
   */

 document.write('<script type="text/javascript" src="' 
     + 'http://meta.wikimedia.org/w/index.php?title=MediaWiki:Wikiminiatlas.js' 
     + '&action=raw&ctype=text/javascript&dontcountme=s"></script>');

/*</source>*/

/* MediaWiki:Monobook.js (deprecated; migrate to Common.js!) */
/* Бостекі болды; орнына мынаны [[MediaWiki:common.js]] пайдалаңыз */